module HtmlTags # require 'html_tags/array_registered_html_tags.rb'

  # ========================================================================= #
  # === ARRAY_REGISTERED_HTML_TAGS
  #
  # Please also add to this array whenever you add a new html tag.
  #
  # Sort alphabetically.
  #
  # For references, look at the periodic table for HTML tags to find out
  # which ones are available:
  #
  #     https://developer.mozilla.org/en-US/docs/Web/HTML/Element
  #     https://developer.mozilla.org/de/docs/Web/HTML/Element
  #
  # In January 2014 it stated that 107 Elements are known. However, the
  # mozilla reference in March 2015 listed 136 HTML elements.
  #
  # <b> is no longer valid in HTML5 it seems.
  # ========================================================================= #
  ARRAY_REGISTERED_HTML_TAGS = %w(

a
abbr
audio

b
blockquote
body
br
button

canvas

div
dd
dl
dt

fieldset
figure
form

head
html
h1
h2
h3
h4
h5
h6
hr

i
img
input

label
legend
li

nav

object

p
pre

q

strong
style

table
tbody
td
textarea
th
thead
tr

ul

  )#+ # The following elements I did not yet think about much at all
      # We may add these one after the other eventually though.
   # %w(
   #   html head span title # meta rt base rp link noscript
   #   style script dfn abbr q cite em time var samp i b
   #   sub sup small strong mark ruby ins del bdi bdo s
   #   kbd wbr code br hr figcaption figure p ol ul li
   #   div pre blockquote fieldset metr legend
   #   label input textarea form select opgroup option
   #   output button body aside address datalist keygen
   #   progress h1 h2 h3 h4 h5 h6 section header nav
   #   article footer hgroup col colgroup caption menu
   #   command summary details table tr td th tbody thead
   #   tfoot img area map embed object param source iframe
   #   canvas track audio video
   #)

  # ========================================================================= #
  # === ARRAY_TAGS_WITHOUT_CLOSING_TAG
  #
  # The following array keeps track of which tags have no closing tag.
  # Please sort alphabetically.
  # ========================================================================= #
  # The <img> tag is no longer a part of the above Array since as
  # of June 2016.
  # ========================================================================= #
  ARRAY_TAGS_WITHOUT_CLOSING_TAG = %w(

    br

  )

  # ========================================================================= #
  # === registered_html_tags?
  #
  # Feedback all registered HTML tags next.
  # ========================================================================= #
  def registered_html_tags?
    Kernel.p ARRAY_REGISTERED_HTML_TAGS 
  end

end
