require 'html_tags/array_registered_html_tags.rb'

module HtmlTags # require 'html_tags/checks.rb' 

  # ========================================================================= #
  # === is_valid_html?
  #
  # This method will check whether the given input is a valid html tag
  # or whether it is not. It will delegate towards the class method
  # HtmlTags.is_valid_html?
  # ========================================================================= #
  def is_valid_html?(i = '</br>')
    return HtmlTags.is_valid_html? i
  end; alias is_valid?          is_valid_html?
       alias is_valid_html_tag? is_valid_html?

  # ========================================================================= #
  # === HtmlTags.is_valid_html?
  #
  # This is the real method that does the check.
  # ========================================================================= #
  def self.is_valid_html?(i)
    i = i.delete('<')
    i = i.delete('>')
    i = i.delete('/')
    return ARRAY_REGISTERED_HTML_TAGS.include? i
  end

  # ========================================================================= #
  # === HtmlTags.string_contains_only_valid_html_tags?
  #
  # This method will test if a whole string will have only valid html
  # tags. 
  # ========================================================================= #
  def self.string_contains_only_valid_html_tags?(i)
    all_matches = i.scan(/\<.+\>/)
    return all_matches.all? {|entry| is_valid_html? entry }
  end

  # ========================================================================= #
  # === string_contains_only_valid_html_tags?(i)
  # ========================================================================= #
  def string_contains_only_valid_html_tags?(i)
    return HtmlTags.string_contains_only_valid_html_tags?(i)
  end

end

# =========================================================================== #
# Here we test the above.
# =========================================================================== #
if __FILE__ == $PROGRAM_NAME
  puts HtmlTags.is_valid_html? '<br>'
  puts HtmlTags.is_valid_html? '<div>'
  puts HtmlTags.is_valid_html? '<dav>'
  puts HtmlTags.string_contains_only_valid_html_tags? 'hello ruby </br>'
  puts HtmlTags.string_contains_only_valid_html_tags? 'hello ruby<haha>'
end # rb checks.rb