#!/usr/bin/ruby -w
# Encoding: UTF-8
# =========================================================================== #
# All html closing tags are autogenerated here.
# =========================================================================== #
require 'html_tags/array_registered_html_tags.rb'
require 'html_tags/html_tags_constants.rb'
require 'html_tags/closing_tag/closing_tag.rb'

module HtmlTags

  # ========================================================================= #
  # Next, generate all closing html tags. A respective closing tag is 
  # the name of the tag, and a 'c' preprended.
  #
  # Example:
  #   The closing tag for h1() method call will be ch1(). Of course the
  #   () can be omitted in Ruby, so we can use:
  # ch1
  # chtml
  #
  # Some html tags do not have a closing tag though.
  # ========================================================================= #
  ( ARRAY_REGISTERED_HTML_TAGS - ARRAY_TAGS_WITHOUT_CLOSING_TAG ).each {|entry|
    define_method('c'+entry.to_s) {
      close(entry.to_s.dup) # This method is defined in the file close.rb
    }
  }

end

if __FILE__ == $PROGRAM_NAME
  include HtmlTags
  p HtmlTags::methods
  p ch6 # Close a <h6> tag that way.
end # html_closing_tags