module HtmlTags # require 'html_tags/html_comment.rb'

  # ========================================================================= #
  # === HtmlTags.html_comment
  # ========================================================================= #
  def self.html_comment(your_comment = '')
    return '<!--  '+your_comment.to_s+'  --> '+NL
  end; self.instance_eval { alias comment html_comment } # HtmlTags.comment

  # ========================================================================= #
  # === html_comment
  #
  # This method will make a html comment - as in, make a valid comment within
  # the source of a html file. This is done by putting <!-- --> around
  # the content in question.
  #
  # Specific Usage Examples:
  #   HtmlTags.html_comment 'yup'
  #   ee HtmlTags.html_comment 'yup'
  #   ee html_comment 'this is for displaying some data'
  #
  # Resources for Comments in HTML:
  #   http://www.tutorialspoint.com/html/html_comments.htm
  # ========================================================================= #
  def html_comment(your_comment = '')
    HtmlTags.html_comment(your_comment)
  end; alias comment html_comment

end