# =========================================================================== #
# Documentation for the <abbr> tag can be found here:
#   http://www.w3schools.com/tags/tag_abbr.asp
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === HtmlTags.abbr
  #
  # To test this method, try:
  #
  #   HtmlTags.abbr 'WHO','World Health Organization'
  # ========================================================================= #
  def self.abbr(abbreviation_to_use = '', long_name = '')
    if long_name.empty? and !abbreviation_to_use.empty?
      # ===================================================================== #
      # In this case, we simply copy to the long name.
      # ===================================================================== #
      long_name = abbreviation_to_use.to_s.dup
    end
    if block_given?
      return HtmlTags.add(
        opening_tag(__method__, title: long_name.to_s)+
        abbreviation_to_use+
        yield+
        close(__method__)
      )
    else
      return HtmlTags.add(
        opening_tag(__method__, title: long_name.to_s)+
        abbreviation_to_use+
        close(__method__)
      )
    end
  end

  # ========================================================================= #
  # === abbr
  # ========================================================================= #
  def abbr(abbreviation_to_use = '', long_name = '')
    HtmlTags.abbr(abbreviation_to_use, long_name)
  end

end