module HtmlTags

  # ========================================================================= #
  # === HtmlTags.audio
  #
  # Use a HTML5 audio tag.
  # ========================================================================= #
  def self.audio(url = '', optional_autoplay = false)
    case File.extname(url).delete('.')
    when '','ogg'
      use_this_audio_type = 'ogg'
    when 'mp3'
      use_this_audio_type = 'mpeg'
    when 'wav'
      use_this_audio_type = 'wav'
    else
      use_this_audio_type = nil # Else we will not play it.
    end
    if use_this_audio_type
      result  = '<audio controls'
      result << ' autoplay="autoplay"' if optional_autoplay
      result << '>'+N
      result << '<source src="'+url.to_s+'" type="audio/'+use_this_audio_type.to_s+'">'+N
      result << 'Your browser does not support the audio element.'
      result << close(__method__)
    else
      nil
    end
    return HtmlTags.add(result)
  end
    
end