#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags 

  # ========================================================================= #
  # === button
  #
  # This tag should yield something like:
  #
  #   <button type="button">Click Me!</button> 
  #
  # { { :value => i } }
  # ========================================================================= #
  def button(
        i          = '',
        css_class  = '',
        the_id     = '',
        css_style  = '',
        javascript = ''
      )
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style, javascript)+
      i.to_s+
      close(__method__)
    )
  end

end