#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === div
  #
  # This method will make a html <div> tag.
  #
  # Invocation example:
  #
  #   HtmlTags.div(i = '', css_class = '', the_id = '', css_style = '')
  # 
  # ========================================================================= #
  def div(
      i         = '',
      css_class = '',
      the_id    = '',
      css_style = ''
    )
    if i.is_a? Hash
      # ===================================================================== #
      # Next support elements such as:
      #   div(css_class: 'default') {
      # ===================================================================== #
      if i.has_key? :css_class
        css_class = i.delete(:css_class)
      end
      if i.has_key? :id
        the_id = i.delete(:id)
      end
      if i.has_key? :css_style
        css_style = i.delete(:css_style)
      end
      i = '' # For now, we remove this.
    end
    result = opening_tag(__method__, css_class, the_id, css_style)
    # ======================================================================= #
    # === Handle blocks next
    # ======================================================================= #
    result << yield.to_s if block_given?
    result << i # Add the content here.
    result << close(__method__)
    result << "\n"
    HtmlTags.add(result)
  end

end