#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/individual_tags/h3.rb'
# =========================================================================== #
module HtmlTags

  require 'html_tags/opening_tag/opening_tag.rb'
  require 'html_tags/toplevel_methods/add.rb'

  # ========================================================================= #
  # === HtmlTags.h3
  #
  # To test this method, try:
  #
  #   HtmlTags.h3(text, css_class, the_id, css_style, javascript = ''); n
  #
  # Keep in mind that this method can be used like this:
  #
  #   h3('Hello world!', css_style: 'margin-top: 2px')
  #
  # ========================================================================= #
  def self.h3(
      i                   = '',
      css_class           = '',
      the_id              = '',
      css_style           = '',
      optional_javascript = '',
      &block
    )
    # ======================================================================= #
    # === Handle Hashes first
    # ======================================================================= #
    if css_class.is_a? Hash
      # ===================================================================== #
      # === :css_style
      # ===================================================================== #
      if css_class.has_key? :css_style
        css_style = css_class.delete(:css_style)
        if css_class.is_a?(Hash) and css_class.empty?
          css_class = ''
        end
      end
    end
    content = i.to_s
    if block_given?
      content << yield.to_s
    end
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style, optional_javascript)+
      content+
      close(__method__)
    )
  end

  # ========================================================================= #
  # === h3
  # ========================================================================= #
  def h3(
      i                   = '',
      css_class           = '',
      the_id              = '',
      css_style           = '',
      optional_javascript = '',
      &block
    )
    return HtmlTags.h3(
      i, css_class, the_id, css_style, javascript_code, &block
    )
  end

end