#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  require 'html_tags/opening_tag/opening_tag.rb'
  require 'html_tags/toplevel_methods/add.rb'

  # ========================================================================= #
  # === HtmlTags.head
  # ========================================================================= #
  def self.head(
      i = ''
    )
    if block_given?
      return HtmlTags.add(
        opening_tag(__method__)+i+yield+close(__method__)
      )
    else # Simplified variant.
      return HtmlTags.add(
        opening_tag(__method__)
      )
    end
  end

  # ========================================================================= #
  # === head
  #
  # This will create an opening tag.
  # ========================================================================= #
  def head(i = '')
    HtmlTags.head(i)
  end

end