#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === input
  #
  # Do note that input can include complex variants, such as the
  # following:
  #
  #   input(type: :submit, value: 'Create Article')
  #
  # ========================================================================= #
  def input(
      i = '', css_class = '', the_id = '', css_style = '', &block
    )
    block = nil
    if i.is_a? Hash
      block = i.dup
      i = ''
    end
    the_open_tag = opening_tag(
      __method__, css_class, the_id, css_style
    ) { block }
    return HtmlTags.add(
      the_open_tag.strip
    )
  end

end