#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === li                                                           (li tag)
  #
  # This is essentially a HTML representation for the <li> tag.
  #
  # The first input argument to this method will constitute the content
  # of said <li> tag. Note that the block form to li {} can also be
  # used for content, so use whichever way you prefer.
  # ========================================================================= #
  def li(
      i                   = '', # <- This is the content.
      css_class           = '',
      the_id              = '',
      css_style           = '',
      optional_javascript = '',
      &block
    )
    if i.is_a? Hash
      if i.has_key? :css_class
        css_class = i.delete(:css_class)
      end
      i = ''
    end
    i = i.to_s.dup # And avoid frozen-errors.
    # ======================================================================= #
    # Blocks will be assumed to be used for the first argument, `i`.
    # ======================================================================= #
    if block_given?
      i << yield.to_s
    end
    return HtmlTags.add(
      opening_tag(__method__, css_class, the_id, css_style, optional_javascript)+
      i+
      close(__method__)
    )
  end

end