#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/individual_tags/p.rb'
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === HtmlTags.p
  #
  # This method can be used to create the html <p> tag.
  # ========================================================================= #
  def self.p(
      i         = '',
      css_class = '',
      the_id    = '',
      css_style = ''
    )
    if i.is_a? Hash
      # ===================================================================== #
      # === Handle entries such as p(css_style: 'padding:2em')
      # ===================================================================== #
      if i.has_key? :css_style
        css_style = i.delete(:css_style)
        i = '' if i.empty?
      end
      if i.is_a?(Hash) and i.has_key?(:css_class)
        css_class = i.delete(:css_class)
        i = '' if i.empty?
      end
    end
    result = opening_tag(__method__, css_class, the_id, css_style).dup
    if block_given?
      result << yield.to_s
    end
    result << i.to_s+close(__method__).to_s
    return HtmlTags.add(result)
  end

  # ========================================================================= #
  # === p
  # ========================================================================= #
  def p(
      i = '', css_class = '', the_id = '', css_style = ''
    )
    HtmlTags.p(i, css_class, the_id, css_style)
  end

end