#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'html_tags/toplevel_methods/full_output.rb'
# =========================================================================== #
module HtmlTags

  # ========================================================================= #
  # === @full_output
  #
  # The follow class-level instance variable stores all output from
  # any of the various tags.
  # ========================================================================= #
  @full_output = ''.dup

  # ========================================================================= #
  # === HtmlTags[]
  # ========================================================================= #
  def self.[]
    @full_output
  end; self.instance_eval { alias output  [] } # Next, we use 3 aliases.
       self.instance_eval { alias output? [] }
       self.instance_eval { alias string? [] }

  # ========================================================================= #
  # === HtmlTags.clear
  # ========================================================================= #
  def self.clear
    @full_output = ''
  end

end